%define languageenglazy German
%define languagecode    de
%define lc_ctype        de_DE

%define upstream_version 20110609

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2 or GPLv3
Group:          System/Internationalization
URL:            http://www.j3e.de/ispell/igerman98
Source0:        http://www.j3e.de/ispell/igerman98/dict/igerman98-%{upstream_version}.tar.bz2

BuildRequires:  aspell
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-de
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-de_BE = %{version}-%{release}
Provides:       hunspell-de_LI = %{version}-%{release}
Provides:       hunspell-de_LU = %{version}-%{release}
Provides:       hunspell-de_AT = %{version}-%{release}
Provides:       hunspell-de_CH = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-de_BE = 2
Provides:       dictionary-de_LI = 2
Provides:       dictionary-de_LU = 2
Provides:       dictionary-de_AT = 2
Provides:       dictionary-de_CH = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-de_AT < 1.0.3
Provides:       myspell-de_AT
Obsoletes:      myspell-de_CH < 1.0.3
Provides:       myspell-de_CH

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n igerman98-%{upstream_version}
sed -i -e "s/AFFIX_EXPANDER = ispell/AFFIX_EXPANDER = aspell/g" Makefile

%build
make hunspell/de_AT.dic hunspell/de_AT.aff \
     hunspell/de_CH.dic hunspell/de_CH.aff \
     hunspell/de_DE.dic hunspell/de_DE.aff
cd hunspell
for i in README_*.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
for lang in `echo hunspell/de_??.dic`
do
    lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
    install -D -m 0644 -p hunspell/$lang.dic %{buildroot}%{_datadir}/hunspell/$lang.dic
    install -D -m 0644 -p hunspell/$lang.aff %{buildroot}%{_datadir}/hunspell/$lang.aff
done

de_DE_aliases="de_BE de_LU"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $de_DE_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

de_CH_aliases="de_LI"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $de_CH_aliases
    do
        ln -s de_CH.aff $lang.aff
        ln -s de_CH.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $de_DE_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done

    for lang in $de_CH_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc hunspell/README_de_??.txt hunspell/COPYING_OASIS hunspell/COPYING_GPLv2 hunspell/COPYING_GPLv3 hunspell/Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.20110609.1-5.mga2
+ Revision: 224589
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20110609.1-4.mga2
+ Revision: 207699
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 0.20110609.1-3.mga2
+ Revision: 196985
- adapt .spec to the current policy

* Thu Jul 07 2011 ahmad <ahmad> 0.20110609.1-2.mga2
+ Revision: 119763
- Update to 20110609

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100727.1-2.mga1
+ Revision: 68719
- imported package hunspell-de

